## spamdb 1.1

=== Makefile ===

all:

clean:

install:
	install spamdb $(DESTDIR)/usr/sbin
	install spamdb_update $(DESTDIR)/etc/cron.weekly
	cp spamdb.config $(DESTDIR)/etc/spamdb/config
	cp spamdb.constants $(DESTDIR)/usr/lib/spamdb/constants
	cp procmail.recipe $(DESTDIR)/usr/lib/spamdb/
	cp exclude.* include.* $(DESTDIR)/etc/spamdb/
	cp fetchers/* $(DESTDIR)/usr/lib/spamdb/fetchers
	cp converters/* $(DESTDIR)/usr/lib/spamdb/converters

=== debian/changelog ===
spamdb (1.1) unstable; urgency=low

  * disabled the hilotek fetcher script because they do not respond to
  *   requests to remove non-spamming domains from their list.
  * removed default CONVERTER script in /etc/spamdb/config (closes: #15388)
  * added -T 60 timeout to wget in the fetcher scripts (closes: #15352)
  * added config option for http_proxy and ftp_proxy (closes: #15387)
  * added flinet.com to exclude.domains
  * added George Bonser's exim2 converter script
  * fixed Suggests: mail_transport_agent ~= s/_/-/g (closes: #15352 #15389)
  * added a version of Joey Hess' procmail converter.  (closes: 15512)
  * deleted Spammers whose domain is already in SpamDomains (closes: 15390)
  * /usr/sbin/spamdb now takes an argument to only fetch, generate, or
  *   convert (-f, -g, -c).  useful mostly for my testing.  default is to 
  *   do all three.

 -- Craig Sanders <cas@taz.net.au>  Tue,  2 Dec 1997 21:21:40 +1100

spamdb (1.0) unstable; urgency=low

  * New maintainer
  * added an exclusion list feature to exclude (by regexp) from the block lists
  * added support for blocking on email address as well as domain name
  * added stub for future blocking by IP address (network/netmask)
  * added support for Claus Assman's sendmail check_mail hacks
  *
  * removed dependancy on ed.
  *
  * removed emphasis on exim (exim is still supported)
  *
  * removed attempt to reconfigure exim from postinst.  IMO that is a
  * local sysadmin policy decision. spamdb is just a tool to help build
  * up filter lists.
  *
  * spamdb is now modular and extensible.  
  * easy to add support for:
  * - new sources of spam domain lists
  * - new converter scripts (to output spamdb into format for use by mailer)
  * 
  * contributed scripts are more than welcome. i want to support every
  * MTA available but can't run them all. comments and suggestions
  * are welcome too.

 -- Craig Sanders <cas@taz.net.au>  Sat, 22 Nov 1997 11:32:13 +1100

spamdb (0.2) unstable; urgency=low

  * Remove predep on ed.

 -- Christoph Lameter <clameter@waterf.org>  Sat, 25 Oct 1997 10:25:10 -0700

spamdb (0.1) unstable; urgency=low

  * Initial Release.

 -- Christoph Lameter <clameter@waterf.org>  Sat, 25 Oct 1997 09:11:07 -0700

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: spamdb
Section: mail
Priority: optional
Maintainer: Craig Sanders <cas@taz.net.au>
Standards-Version: 2.3.0.0

Package: spamdb
Architecture: all
Depends: wget
Suggests: mail-transport-agent
Description: Fully automated building and maintaining of a Blacklist
 This package retrieves well-known blacklists from the Net and builds a
 database of spam sites. The blacklist is automatically updated every week.
 .
 The Spam blacklist can then be used by mailers to reject spam. The package
 includes scripts to convert it's database to a format usable by specific
 mail transport agents.
 .
 This version is highly modular and extensible
 .
 This package will *NOT* reconfigure mailers to use the spamdb.  There are 
 far too many possible ways of doing it that I feel it should be a local
 sysadmin policy decision.  Whichever way you choose to do it, spamdb can
 support it.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=spamdb

build:
	$(checkdir)
	
	make

	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	make install DESTDIR=`pwd`/debian/tmp
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd 
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
